clear;close all;
addpath ~/data/toolbox/
addpath ~/data/toolbox/m_map1.4
par={'siconc' 'sithic' };
var={'siconc' 'sivol'  };
mcol=hex2rgb('f33bee');
ii=1
month={'march' 'sept'};
figx={'a' 'c'};
clim=[-22.5 22.5]; tlim=[-25:5:25];
for jj=1:2
    fname= ['sic_climdiff_free5-opam_' month{jj} '_mean_1997-2016'];
data=ncread([fname '.nc'],var{ii});
if ii<3
ci=squeeze(data(:,:,:));
else
ci=squeeze(data(:,1,:,:));
end
%%---sept min edge ---
% save('Sept_ice_edge_clim_1997-2016.mat','lon','lat','nlat','mlat','lon1','lat1','msk','msk1','msk2');
load('Sept_ice_edge_clim_1997-2016.mat')
figure; hold on;
set(gcf,'position',[10 10 800 800]);hold on;
load('../fig2/cmap_rwb.mat')
m_proj('stereographic','lat',90,'long',0,'radius',35);
m_pcolor(lon1,lat1,ci);shading interp;
caxis(clim);colormap(flipud(cmap));
%%---sept min ---
m_contour(lon(:,nlat),lat(:,nlat),msk(:,nlat),1,'r-','linewidth',3)
m_contour(lon1(:,mlat),lat1(:,mlat),msk1(:,mlat),1,'g-','linewidth',3)
m_contour(lon1(:,mlat),lat1(:,mlat),msk2(:,mlat),1,'k-','linewidth',3)
m_coast('patch',[.7 .7 .7],'edgecolor','none');
%
m_grid('tickdir','in','xtick',[-180:60:180],'ytick',[60:10:80]);
 m_text(100,70,'ORAS5','fontsize',14,'fontweight','bold','color','r');
 m_text( 90,70,'FREE1','fontsize',14,'fontweight','bold','color','g');
 m_text( 80,69.5,'FREE','fontsize',14,'fontweight','bold','color','k');
colorbar('off')
axis image off
set(findall(gcf,'-property','FontSize'),'FontSize',14);
set(gcf,'PaperPositionMode','auto');
%print('-depsc2','-r200', ['figS2' figx{jj} ]);
end
%%
clear; 
addpath ~/data/toolbox/m_map1.4
addpath ~/data/toolbox/cmocean
addpath ~/data/toolbox/custom-colormap/
datapath='~/2019/Clim/ICE/climate/sept/'
figpath='~/2019/Clim/ICE/climate/'
dir='/data/tian/emop/Blue-Action-WP3/time_series/'
par={'siconc' 'sithic' };
var={'siconc' 'sivol' };
i_do_line=1
clim=[-22.5 22.5]/10; tlim=[-25:5:25]/10;
nfig=0
ii=2
month={'march' 'sept'};
figx={'b' 'd'};
for jj=1:2
    fname= ['sit_climdiff_free5-opam_' month{jj} '_mean_1997-2016'];
    data=ncread([fname '.nc'],'sithick');
if ii<3
ci=squeeze(data(:,:,:));
else
ci=squeeze(data(:,1,:,:));
end
%%-----
% read lon lat from free5
load('Sept_ice_edge_clim_1997-2016.mat')
%---------
figure; hold on;
set(gcf,'position',[10 10 800 800]);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',35);
load('../fig2/cmap_rwb.mat')
m_pcolor(lon1,lat1,ci);shading interp; 
caxis(clim);colormap(flipud(cmap)); 
%%--
if i_do_line ==1
    col='k';
    clear ln8 lt8 ln1 ln2 ln3 lt3 ln4 lt4 ln5 lt5 ln6 lt6 ln7 lt7 ln8 lt8
%12.Center Arctic 80-90 N.
%1. Barents Seas (BS; 65–80N, 10–52.5E)
%2. East Siberian–Laptev Seas (ES-L; 68–80N,100–180E)
%3. Beaufort–Chukchi Seas (B-C; 68–80N,180–240E)
%4. Canadian Archipelago (Ar; 63–80N, 240–287E)
%5. Greenland Sea (Gre; 63–80N,315–360E)
%6. Kara Sea    (KS; 40–63N, 52.5–100E)
%7. Bering Sea (Ber; 55–68N, 165–205E)
%8. Hudson Bay (Hud; 50–63N, 260–290E)
%9. Labrador Sea (Lab; 40–63N, 290–315E)
%10.Baffin Bay (BB;63–80N,287-315E) 
%--GIN south border
ln7=290:360; lt7(1:71)=63; ln8=0:15; lt8(1:16)=63; 
m_line(ln7,lt7,'color',col,'linewidth',2);
m_line(ln8,lt8,'color',col,'linewidth',2);
%-GIN east border
ln1(1:12)=15; lt7=69:80;
m_line(ln1,lt7,'color',col,'linewidth',2);
%--central arctic 
ln7=0:180; lt7(1:181)=80; ln8=180:360; lt8(1:181)=80;
m_line(ln7,lt7,'color',col,'linewidth',2);
m_line(ln8,lt8,'color',col,'linewidth',2);
%--Barents
ln2(1:12)=52.5; lt7=69:80;
m_line(ln2,lt7,'color',col,'linewidth',2);
%--Kara
ln3(1:4)=100; lt7=75:78;
m_line(ln3,lt7,'color',col,'linewidth',2);
%--Laptev
ln3(1:11)=142; lt7=70:80;
m_line(ln3,lt7,'color',col,'linewidth',2);
%-- chukchi
ln3(1:13)=180; lt3=68:80;
m_line(ln3,lt3,'color',col,'linewidth',2);
ln3(1:13)=203;
m_line(ln3,lt3,'color',col,'linewidth',2);
ln9=180:200; lt9(1:21)=68; m_line(ln9,lt9,'color',col,'linewidth',2);
%-- Beaufort
ln3(1:13)=240; 
m_line(ln3,lt3,'color',col,'linewidth',2);
%-- Baffin Bay
ln4(1:10)=287; lt4=71:80; m_line(ln4,lt4,'color',col,'linewidth',2);
%-- Hudson 
ln5=260:290; lt5(1:31)=66;m_line(ln5,lt5,'color',col,'linewidth',2);
ln6(1:4)=290; lt6=61:64; m_line(ln6,lt6,'color',col,'linewidth',2);
%--
end
%%
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('tickdir','in','xtick',[-180:60:180],'ytick',[60:10:80],'yticklabels',[]);
if i_do_line ==1
color_str={'Barents' 'Kara' 'Laptev' 'E. Siberian' 'Chukchi' ...
    'Beaufort' ' ' 'GIN' 'Hudson Bay' ' '  'Baffin Bay' 'Central Arctic'  };      
m_text(-145,89,'1','fontweight','bold','color','m')
m_text(-65,73,'9','fontweight','bold','color','r')
m_text(-85,59,'10','fontweight','bold','color','r')
m_text(-10,78,'8','fontweight','bold','color','r')
m_text(-135,78,'5','fontweight','bold','color','m')
m_text( 192,78.5,'4','fontweight','bold','color','m')
m_text( 172,79,'3','fontweight','bold','color','m')
m_text( 120,79,'2','fontweight','bold','color','m')
m_text( 70,79,'6','fontweight','bold','color','r')
m_text( 35,79,'7','fontweight','bold','color','r')
m_text( 180,70,'70^{\circ}N','rotation',0)
m_text( 180,60,'60^{\circ}N','rotation',0)
end
colorbar('off')
axis image off
set(findall(gcf,'-property','FontSize'),'FontSize',14);
%-----------------
nlay=ncread([ '../fig2/orca1_nlayer.nc'],'mbathy');
nlay=double(nlay);
zm=ncread([ '../fig2/orca1_nlayer.nc'],'gdept_0');
nav_lat=ncread(['../fig2/orca1_nlayer.nc'],'nav_lat');
nav_lon=ncread(['../fig2/orca1_nlayer.nc'],'nav_lon');
nav_lat=double(nav_lat);nav_lon=double(nav_lon);
xx=reshape(nav_lon,362*292,1);
yy=reshape(nav_lat,362*292,1);
zz=reshape(nlay,362*292,1);      % gdept(24)=97m
ind=find(zz<14 & zz>0);          % 1026 grid points globally 
jnd=find(zz<25 & zz>0 & yy>60);  % 678 if 100>depth >20;  in the Arctic       
knd=find(zz<25 & zz>0 & yy>45);  % 2205  in the Northern hemisphere
m_scatter(xx(jnd(1:2:end)),yy(jnd(1:2:end)),4,'o',...
'MarkerEdgeColor','k','MarkerFaceColor',[ 0.9100 0.4100 0.1700],'LineWidth',0.5);
%-----------------
set(gcf,'PaperPositionMode','auto');
% print('-depsc2','-r200', [ 'figS2' figx{jj}]);
end

