clear all; close all;
addpath ~/data/toolbox
addpath ~/data/toolbox/m_map1.4
addpath ~/data/toolbox/subaxis
mk=6
par={'iiceconc' 'iicethic' 'tas'};
a=0.01; %0.22
b=0.04; %0.24 
c=1.5; %2.5
d=1.5; %2.5
mult='6-9'
load('../fig5/ACC_cmap.mat')
ii=1
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']);
figure; hold on;
set(gcf,'position',[10 10 1450 1300]);
ax1=subplot(3,4,1);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
%---
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.6,-0.1,'SIC','Rotation',90)
text(-0.05,0.59,'FREE')
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%% ---
ii=2
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']);
ax5=subplot(3,4,5);
hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
text(-0.6,-0.1,'SIT','Rotation',90)
set(findall(gcf,'-property','FontSize'),'FontSize',14);
colorbar('off')
axis image off
%% --------
ii=3
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']);
ax9=subplot(3,4,9);
hold on;
m_proj('stereographic','lat',90,'long',0,'radius',35);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(LON,LAT,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2(1:2:end),lat2(1:2:end),'k.','MarkerSize',mk)
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
text(-0.68,-0.1,'TAS','Rotation',90)
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
colorbar('off')
axis image off
set(findall(gcf,'-property','FontSize'),'FontSize',14);

par={'iiceconc' 'iicethic'};
ii=1;
exp='AI0';
load([ par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
ax2=subplot(3,4,2);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
%---
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.05,0.59,exp)
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%%--------
exp='AI1';
load([ par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
ax3=subplot(3,4,3);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
%---
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.05,0.59,exp)
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%%
exp='AI2';
load([ par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
ax4=subplot(3,4,4);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
%---
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.05,0.59,exp)
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%%
ii=2;
exp='AI0';
load([ par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
ax6=subplot(3,4,6);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
axis image off
%%
exp='AI1'; 
load([ par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
ax7=subplot(3,4,7);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
axis image off
%%
exp='AI2'; 
load([ par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
ax8=subplot(3,4,8);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(lon,lat,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2,lat2,'k.','MarkerSize',4);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
axis image off
%%
par={'tas'};
ii=1;
ax10=subplot(3,4,10);hold on;
exp='AI0';
load([par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
m_proj('stereographic','lat',90,'long',0,'radius',35);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(LON,LAT,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2(1:2:end),lat2(1:2:end),'k.','MarkerSize',mk);    
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
colorbar('off')
%%-
ax11=subplot(3,4,11);hold on;
exp='AI1';
load([par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
m_proj('stereographic','lat',90,'long',0,'radius',35);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(LON,LAT,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2(1:2:end),lat2(1:2:end),'k.','MarkerSize',mk);    
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
%text(0.7,0.15,'No SIT init.','Rotation',-90)
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
colorbar('off')
%%
ax12=subplot(3,4,12);hold on;
exp='AI2';
load([par{ii} '_amY' mult '_1997-2016_' exp '.mat']);
m_proj('stereographic','lat',90,'long',0,'radius',35);
ACC(ACC<-1)=NaN;
ACC=round(ACC*10)/10;
m_pcolor(LON,LAT,ACC);shading interp; 
caxis([-.9 .9]);colormap(cmap);
m_plot(lon2(1:2:end),lat2(1:2:end),'k.','MarkerSize',mk);    
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
%
cb = colorbar('Location','eastoutside','Ticks',[-.8:0.2:.8])% 
cb.Label.String = 'Anomaly correlation';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
%%
pos=get(cb, 'Position');
set(cb,'Position', [0.9 0.2 0.018 0.6])
pos=get(ax1, 'Position');
set(ax1, 'Position', [pos(1)-0.12 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax2, 'Position');
set(ax2, 'Position', [pos(1)-0.11 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax3, 'Position');
set(ax3, 'Position', [pos(1)-0.10 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax4, 'Position');
set(ax4, 'Position', [pos(1)-0.09 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax5, 'Position');
set(ax5, 'Position', [pos(1)-0.12 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax6, 'Position');
set(ax6, 'Position', [pos(1)-0.11 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax7, 'Position');
set(ax7, 'Position', [pos(1)-0.1 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax8, 'Position');
set(ax8, 'Position', [pos(1)-0.09 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax9, 'Position');
set(ax9, 'Position', [pos(1)-0.115 pos(2)-b-0.063 c*pos(3) d*pos(4)]);
pos=get(ax10, 'Position');
set(ax10, 'Position', [pos(1)-0.105 pos(2)-b-0.063 c*pos(3) d*pos(4)]);
pos=get(ax11, 'Position');
set(ax11, 'Position', [pos(1)-0.095 pos(2)-b-0.063 c*pos(3) d*pos(4)]);
pos=get(ax12, 'Position');
set(ax12, 'Position', [0.665 0.004 0.23 0.33]);
%print('-depsc2','-r800', ['figS6_landscape.eps'])
