clear all; close all;
addpath ~/data/toolbox
addpath ~/data/toolbox/m_map1.4
exp={'free1' 'free5'}; par='tas';clim=[-4.5 4.5]; tlim=[-5:1:5];figx={'a' 'b'};
for ii=1:2
fname= [par '_clim_diff_' exp{ii} '-erai_am_1997_2016.nc'];
dT=ncread([fname],par);
lon=ncread([fname],'longitude');
lat=ncread([fname],'latitude');
[LAT,LON]=meshgrid(lat,lon);
%--------- Free----------
figure; hold on;
set(gcf,'position',[10 10 800 800]);
m_proj('stereographic','lat',90,'long',0,'radius',35);
load('../fig2/cmap_rwb.mat')
m_pcolor(LON,LAT,dT);shading interp; 
caxis(clim);colormap(cmap);
m_coast('color','k','linewidth',1);
m_grid('tickdir','in','xtick',[-180:60:180],'ytick',[60:10:80]);    
%%---sept min ---
load('../figS2/Sept_ice_edge_clim_1997-2016.mat')
m_contour(lon(:,nlat),lat(:,nlat),msk(:,nlat),1,'r-','linewidth',3)
m_contour(lon1(:,mlat),lat1(:,mlat),msk1(:,mlat),1,'g-','linewidth',3)
m_contour(lon1(:,mlat),lat1(:,mlat),msk2(:,mlat),1,'k-','linewidth',3)
m_text(100,70,'ORAS5','fontsize',14,'fontweight','bold','color','r');
m_text( 90,70,'FREE1','fontsize',14,'fontweight','bold','color','g');
m_text( 80,69.5,'FREE','fontsize',14,'fontweight','bold','color','k');
colorbar('off')
axis image off
set(findall(gcf,'-property','FontSize'),'FontSize',14);
set(gcf,'PaperPositionMode','auto');
% print('-depsc2','-r200', [ 'figS3' figx{ii}]);
end

