clear all; close all;
clim=[-.4 .4]; tlim=[-.4:0.1:.4];
reg={'ARC' 'BAB' 'HUB' 'GIN' 'BEA' 'CHU' 'ESB' 'LAP' 'KAR' 'BAR'};
regn={'C. Arctic' 'Baffin Bay' 'Hudson Bay' 'GIN Seas' ...
 'Beaufort Sea' 'Chukchi Sea' 'E. Siberian Sea' 'Laptev Sea' 'Kara Sea' 'Barents Sea'};
%----
load('../fig10/fig10_diff_color.mat')
%----
for ibox=1:10  
  figname=[ 'box_MSSS_SIE_' reg{ibox} '_AI2-AI0'];   
  %---
  fname1=['free5_RMSE_SIE_' reg{ibox} '.mat'];
  load(fname1)
  RMS0=RMS; ACC0=ACC; % free5 
  %---
  fname2=['AI0_RMSE_SIE_' reg{ibox} '.mat'];
  load(fname2)
  tt=reshape(yRMS,12,9);
  ratio=tt./RMS0';
  AI0=reshape(ratio,12*9,1);
  %--
  fname2=['AI2_RMSE_SIE_' reg{ibox} '.mat'];
  load(fname2)
  tt=reshape(yRMS,12,9);
  ratio=tt./RMS0';
  AI2=reshape(ratio,12*9,1);
  Ratio=AI0-AI2;
%%
RR=reshape(Ratio,12,9);
XR=[RR; RR(12,:)];YR=[XR XR(:,9)];
x=[1:13];y=[1:10];
[X,Y]=meshgrid(x,y);
figure; hold on;
set(gcf,'position',[10 10 600 400]);
pcolor(X,Y,YR');
caxis(clim);colormap(J)
tname=[ 'RMSE SS (AI2- AI0): ' regn{ibox} ];
title(tname);
colorbar('off')
ylabel('Lead year')
xlim([1 13]);ylim([1 10]);
xticks([1.5:1:12.5]);xticklabels({'Jan','','','Apr','','','Jul','','','Oct','',''});
yticks([1.5:1:9.5]);yticklabels({'1','2','3','4','5','6','7','8','9'})
%-- i_do_ACC==1 
ySS(isnan(yACC))=1;ySS(~isnan(yACC))=NaN;
SS=reshape(ySS,12,9);mask = SS>0;      
    for j=1:9
    for i=1:12
      if SS(i,j)==1
      plot(i+0.5,j+0.5,'k*','markersize',14)   
      end
    end
    end
set(findall(gcf,'-property','FontSize'),'FontSize',14);
set(gcf,'PaperPositionMode','auto');
%print('-depsc2','-r200', [figname]);
end % ibox

